Race Condition Affecting github.com/lxc/lxd/shared package, versions <0.20.0


0.0
medium

Snyk CVSS

    Attack Complexity High
    Integrity High
    Availability High
Expand this section
NVD
8.1 high

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • Snyk ID SNYK-GOLANG-GITHUBCOMLXCLXDSHARED-1325543
  • published 25 Jul 2021
  • disclosed 14 Apr 2021
  • credit Seth Arnold

How to fix?

Upgrade github.com/lxc/lxd/shared to version 0.20.0 or higher.

Overview

Affected versions of this package are vulnerable to Race Condition during a container filesystem shift. This may allow a user who can modify the filesystem to chmod an arbitrary path.